# Place all the behaviors and hooks related to the matching controller here.
# All this logic will automatically be available in application.js.
# You can use CoffeeScript in this file: http://jashkenas.github.com/coffee-script/

$(document).ready -> $("#users_modal").dialog({
height: 500,
width: 600,
modal: true,
resizable: false,
draggable: false,
autoOpen: false

});
$(document).ready ->$("#new_user_button").button({
  icons: {primary: "ui-icon-plusthick"}
})

$(document).ready -> $("#new_user_button").click ->
  $.ajax '/users/new',
    type: 'POST',
    success: (data) ->
      $( "#users_modal").html(data)
      $("#gmina_search").autocomplete({
      source: "/gmina/find",
      minLength: 2,
      select: (event,ui) ->
        $('#gmina_search').val(ui.item.value)
        $('#gmina_search_id').val(ui.item.nr)
        return
      })
      $( "#tabs" ).tabs()
      $( "#users_modal" ).dialog( "open" )
      return
  return

$(document).ready -> $(".user_edit").click ->
  $.ajax '/users/show',
    type: 'POST',
    data: { id: $(this).attr("data")},
    success: (data) ->
      $( "#users_modal").html(data)
      $("#gmina_search").autocomplete({
      source: "/gmina/find",
      minLength: 2,
      select: (event,ui) ->
          $('#gmina_search').val(ui.item.value)
          $('#gmina_search_id').val(ui.item.nr)
          return
      })
      $( "#tabs" ).tabs()
      $( "#users_modal" ).dialog( "open" )
      return
  return

$(document).ready -> $(".index_user .datagrid li a").on("click", ()->
    if($(this).attr("id")=="prev")
      active = $('.index_user .datagrid li a.active')
      pos = $('.index_user .datagrid li a').index(active)
      szuk = $("#search_input").val()
      if(pos>1)
        $('.index_user .datagrid li a').eq(pos).attr("class","")
        $('.index_user .datagrid li a').eq(pos-1).attr("class","active")
        $.ajax '/users',
          type: 'POST',
          data: { strona: $('.index_user .datagrid li a').eq(pos-1).attr("nr"), search: szuk},
          success: (data) ->
            $(".datagrid tbody").html(data)
            return
    else
      if($(this).attr("id")=="next")
        active = $('.index_user .datagrid li a.active')
        pos = $('.index_user .datagrid li a').index(active)
        szuk = $("#search_input").val()
        if(pos<$('.index_user .datagrid li a').length-2)
          $('.index_user .datagrid li a').eq(pos).attr("class","")
          $('.index_user .datagrid li a').eq(pos+1).attr("class","active")
          $.ajax '/users',
            type: 'POST',
            data: { strona: $('.index_user .datagrid li a').eq(pos+1).attr("nr"), search: szuk},
            success: (data) ->
              $(".datagrid tbody").html(data)
              return
      else
        $(".index_user .datagrid li a.active").attr("class","")
        $(this).attr("class","active")
        szuk = $("#search_input").val()
        $.ajax '/users',
          type: 'POST',
          data: { strona: $(this).attr("nr"), search: szuk},
          success: (data) ->
            $(".index_user .datagrid tbody").html(data)
            return
    return)




