class GminasController < ApplicationController

  def index
    @NaStrone = 10
    if(params["strona"].blank?)
      off = 0
    else
      off = @NaStrone*(Integer(params["strona"])-1)
    end
    @gminas = Gmina.limit(@NaStrone).offset(off)

    ilosc = Gmina.all.count
    @strony = (ilosc/@NaStrone).ceil-1
    @strona = params["strona"].to_i
    @color =0
    if(params["strona"].blank?)
      respond_to do |f|
        f.json {
          @gminas = Gmina.all
          render :json => @gminas
        }
        f.html{}
      end
    else
      respond_to do |f|
        f.html{render :partial => 'gminas/tableAll', :locals => {:gminas => @gminas} }
      end
    end

  end

  def new
    @gmina = Gmina.new
    respond_to do |f|
      f.html {render "gminas/show", :layout => nil}
    end
  end

  def show
    @gmina = Gmina.find_by_id(params[:id])
    respond_to do |f|
      f.html {render "gminas/show", :layout => nil}
    end
  end

  def create
    @gmina = Gmina.new
    @gmina.nazwa = params[:gmina][:nazwa]
    @gmina.adres= params[:gmina][:adres]
    @gmina.miejscowosc= params[:gmina][:miejscowosc]
    @gmina.save
    redirect_to index_gmina_path
  end

  def save
    @gmina = Gmina.find_by_id(params[:gmina][:id])
    @gmina.nazwa = params[:gmina][:nazwa]
    @gmina.adres= params[:gmina][:adres]
    @gmina.miejscowosc= params[:gmina][:miejscowosc]
    @gmina.save
    redirect_to index_gmina_path
  end

  def destroy
    @gmina = Gmina.find_by_id(params[:id])
    @gmina.destroy
    redirect_to index_gmina_path
  end
end
