class LegitsController < ApplicationController
  before_filter :require_user, :except => [:new, :create]
  before_filter :require_user_no_redirect, :only => [:new, :create]
  before_filter :canSave, :only => [:new, :create]



  def new
  @legit = Legit.new
    respond_to do |f|
      f.html {render :layout => nil}
    end
  end

  def android_img
    @show_legit = Legit.find_by_id(params[:id])
    respond_to do |f|
      f.html {
        send_file(@show_legit.photo.path(:small))
      }
    end
  end

  def edit
    @legit = Legit.find_by_id(params[:id])
    respond_to do |f|
      f.html {render :layout => nil }
    end
  end

  def get_new_legit_number
    legit = Legit.order("created_at").last
    time = Time.now

    if !legit.blank?
      numer = legit.nr_leg
      nr = numer.to_s.split('/')[0]
      month = numer.to_s.split('/')[1]
      year = numer.to_s.split('/')[2]
      puts "Wyniki!!!! : "+year.to_s+" "+time.year.to_s
      if year.to_i != time.year.to_i
        nr = '0008'
        month = time.month.to_s
        year = time.year.to_s
      else
        if month.to_i != time.month.to_i
          nr = '0009'
          month = time.month.to_s
        else
          nr_i = nr.to_i
          nr_i += 1
          nr = nr_i.to_s
          (nr.length..4).each do
            nr = "0"+nr
          end
        end

      end

      numer = nr.to_s+"/"+month.to_s+"/"+year.to_s
    else
      numer = "0001/"+time.month.to_s+"/"+time.year.to_s
    end
    puts numer
    return numer
  end

  def create
    params[:legit]["photo"] = File.open(session["image"])
    params[:legit][:nr_poj] =  get_new_legit_number
    @legit = Legit.create(params[:legit])


    @name = "barcode"+Time.now.to_i.to_s
    @name2 = @name+"_zdj"

    @legit.barcode=@name
    @legit.user_id=current_user.id
    @legit.gminas_id=current_user.gmina.id
    @legit.save

    amount =140
    if !params["amount"].blank?

      amount = params["amount"]
    end
    t = "java -jar error.jar "+@legit.photo.path(:medium)+" "+amount.to_s
    text2 = %x(#{t})

    text = @legit.id.to_s+":"+@legit.nr_leg.to_s+":"+@legit.imie+":"+@legit.nazwisko+":"+@legit.nr_poj+":"+@legit.data_wydania.to_s.tr("-", "/")
    public_key_file = 'public.pem'
    private_key_file = 'private.key'
    password = 'p1lipa'
    #digest = OpenSSL::Digest::SHA256.digest(text) - zmiana text na t+text

    digest = OpenSSL::Digest::SHA256.digest(text2+"."+text)
    public_key = OpenSSL::PKey::EC.new(File.read(public_key_file))
    private_key = OpenSSL::PKey::EC.new(File.read(private_key_file))


    @encrypted_string =  private_key.dsa_sign_asn1(digest)
    @encrypted_string = Base64.encode64(@encrypted_string)

    len = (text2.length+text.length+@encrypted_string.length)/2
    text2_got = text2[0..len-1]
    text2_got2 = text2[len..text2.length]
    img2 = QREncoder.encode(text2_got)

    img = QREncoder.encode(text2_got2+"."+text+";"+@encrypted_string)


    img2.png({:pixels_per_module=>3}).save("app/assets/images/barcodes/"+@name2+".png")
    img.png({:pixels_per_module=>3}).save("app/assets/images/barcodes/"+@name+".png")

    logger.info text2_got+text2_got2+"."+text
    logger.info @encrypted_string
    logger.info public_key.dsa_verify_asn1(OpenSSL::Digest::SHA256.digest(text2_got+text2_got2+"."+text),Base64.decode64(@encrypted_string))


    respond_to do |f|
      f.html{redirect_to '/legits_index'}
    end


  end

  def index
    @NaStrone = 10
    if(params["search"].blank?)

      if(params["strona"].blank?)
        off = 0
      else
        off = 10*(Integer(params["strona"])-1)
      end
      ilosc = Legit.where("gminas_id = "+current_user.gmina.id.to_s).count
      @strony = (ilosc/@NaStrone).ceil
       @legits = Legit.where("gminas_id = "+current_user.gmina.id.to_s).limit(@NaStrone).offset(off)
      @strona = params["strona"].to_i
      @color =0
    else
      if(params["strona"].blank?)
        off = 0
      else
        off = 10*(Integer(params["strona"])-1)
      end
      ilosc = Legit.search(params["search"],current_user.gmina.id).count
      @legits = Legit.search(params["search"],current_user.gmina.id).limit(@NaStrone).offset(off)
      @strony = (ilosc/@NaStrone).ceil
      @strona = params["strona"].to_i
      @color =0
    end
    if(params["strona"].blank?)
      respond_to do |f|
        f.html{}
      end
    else
      respond_to do |f|
        f.html{render :partial => 'legits/tableAll', :locals => {:legits => @legits} }
      end
    end
  end

  def index_search
    ilosc = Legit.search(params["text_search"],current_user.gmina.id).count
    @legits = Legit.search(params["text_search"],current_user.gmina.id).limit(10).offset(0)
    @strony = (ilosc/10).ceil
    @strona = params["strona"].to_i
    @color =0
    respond_to do |f|
      f.html {render :partial => "legits/tableAll", :locals => {:legits => @legits}}
    end
  end

  def show
    @show_legit = Legit.find_by_id(params[:id])

    @pathname = "/home/piotr/www/barcode/app/assets/images/barcodes/"+@show_legit.barcode+".png"
    @pathname2 = "/home/piotr/www/barcode/app/assets/images/barcodes/"+@show_legit.barcode+"_zdj.png"


  # @pathname = "/home/piotr/RubymineProjects/Barcode Serwis/app/assets/images/barcodes/"+@show_legit.barcode+".png"
        respond_to do |f|
          f.html
          f.pdf do
          #  render_with_wicked_pdf :pdf =>  "my_pdf", :layout => false, :template => 'legits/show' ,  :wkhtmltopdf  => '/home/piotr/.rvm/gems/ruby-1.9.3-p194/gems/wkhtmltopdf-binary-0.9.9.1/bin/wkhtmltopdf_linux_386'
          render_with_wicked_pdf :pdf =>  "my_pdf", :layout => false, :template => 'legits/show' ,  :wkhtmltopdf  => '/home/piotr/.rvm/gems/ruby-2.0.0-p0@global/gems/wkhtmltopdf-binary-0.9.9.1/bin/wkhtmltopdf_linux_386',
            :lowquality=>false ,
            :margin => {:top                => 0,                     # default 10 (mm)
                        :bottom             => 0,
                        :left               => 0,
                        :right              => 0}
            end
        end
  end

  def destroy
    @legit = Legit.find_by_id(params[:id])
    @legit.destroy
    @legits = Legit.find_all_by_gminas_id(current_user.gmina.id)
    respond_to do |format|
      format.js { render :layout=>false }
    end

  end
end

require 'open-uri'
require 'digest/sha1'

class RemoteFile < ::Tempfile

  def initialize(path, tmpdir = Dir::tmpdir)
    @original_filename  = File.basename(path)
    @remote_path        = path

    super Digest::SHA1.hexdigest(path), tmpdir
    fetch
  end

  def fetch
    string_io = OpenURI.send(:open, @remote_path)
    self.write string_io.read
    self.rewind
    self
  end

  def original_filename
    @original_filename
  end

  def content_type
    mime = `file --mime -br #{self.path}`.strip
    mime = mime.gsub(/^.*: */,"")
    mime = mime.gsub(/;.*$/,"")
    mime = mime.gsub(/,.*$/,"")
    mime
  end
end
