class Legit < ActiveRecord::Base
  attr_accessible :barcode, :data_wydania, :imie, :nazwisko, :nr_leg, :nr_poj, :user_id, :gminas_id , :photo, :pesel,:marka,:typ
  belongs_to :user , :foreign_key =>  :user_id
  belongs_to :gmina , :foreign_key =>  :gminas_id

  has_attached_file :photo,
                    :path => ":rails_root/app/assets/images/zdj/:id/:style/:filename",
                    #:url => "/home/piotr/RubymineProjects/Barcode Serwis/app/assets/images/zdj/:id/:style/:filename",
                    #:url => "/home/piotr/www/barcode/app/assets/images/zdj/:id/:style/:filename",
                    :styles => {
                        :thumb=> "100x100#",
                        :small  => "150x150>",
                        :medium => "300x300>",
                        :large =>   "400x400>" }
                   # :convert_options => {:medium => '-colorspace Gray -quality 15 -ordered-dither h4x4a' }

      def self.search(text_search,gmina_id)
    self.where("(imie like \"%"+text_search.to_s+"%\" or nazwisko like \"%"+text_search.to_s+"%\" or nr_poj like \"%"+text_search.to_s+"%\" or data_wydania like \"%"+text_search.to_s+"%\" or nr_leg like \"%"+text_search.to_s+"%\")  and gminas_id = ?",gmina_id)
      end


end
